Package de.geolykt.starloader.deobf.access

# Class AccessFlagModifier.RemoveFlagModifier

java.lang.Object
de.geolykt.starloader.deobf.access.AccessFlagModifier
de.geolykt.starloader.deobf.access.AccessFlagModifier.RemoveFlagModifier

Enclosing class:
  `AccessFlagModifier`

@Deprecated @ScheduledForRemoval(inVersion="5.0.0") public static class AccessFlagModifier.RemoveFlagModifier extends AccessFlagModifier
Deprecated.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.geolykt.starloader.deobf.access.AccessFlagModifier

`AccessFlagModifier.AccessibleModifier, AccessFlagModifier.ExtendableModifier, AccessFlagModifier.RemoveFlagModifier, AccessFlagModifier.Type`

## Field Summary

### Fields inherited from class de.geolykt.starloader.deobf.access.AccessFlagModifier

`clazz, descriptor, isCompileOnly, name, type`

## Constructor Summary

Constructors
Constructor
Description
`RemoveFlagModifier(AccessFlagModifier.Type type, String clazz, Optional<String> name, Optional<String> descriptor, int flag, String awMode, boolean compileOnly)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`int`
`apply(int oldAccessFlag)`
Deprecated.
`String`
`toAccessWidenerString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoveFlagModifier

public RemoveFlagModifier(AccessFlagModifier.Type type, String clazz, Optional<String> name, Optional<String> descriptor, int flag, String awMode, boolean compileOnly)
Deprecated.

## Method Details

### apply

public int apply(int oldAccessFlag)
Deprecated.

Specified by:
  `apply` in class `AccessFlagModifier`

### toAccessWidenerString

public String toAccessWidenerString()
Deprecated.

Specified by:
  `toAccessWidenerString` in class `AccessFlagModifier`